Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.rtf.rtflib.rtfdoc
Class RtfOptions

    java.lang.Object
      org.apache.fop.render.rtf.rtflib.rtfdoc.RtfOptions

    public class RtfOptions

extends java.lang.Object

Simplistic options definitions for RTF generation.

This work was authored by Bertrand Delacretaz (bdelacretaz@codeconsult.ch).

Constructor Summary
`RtfOptions()`

Method Summary
`boolean` | `ignoreEmptyParagraphs()` If this returns true, RtfParagraphs that have no children will not generate any RTF code
`boolean` | `renderContainer(RtfContainer c)` If this returns false, RtfContainer will not generate any RTF

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RtfOptions

    public RtfOptions()

Method Detail

### ignoreEmptyParagraphs

    public boolean ignoreEmptyParagraphs()

  If this returns true, RtfParagraphs that have no children will not generate any RTF code

  Returns:
    true

### renderContainer

    public boolean renderContainer(RtfContainer c)

  If this returns false, RtfContainer will not generate any RTF

  Parameters:
    `c` - RtfContainer to be tested
  Returns:
    true

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.